Subject: Re: [PATCH 1/1] iproute2 bridge: bring to par with brctl show macs

From: Jamal Hadi Salim <[email-masked]>
Date: Tue, 27 May 2014 17:43:43 -0400

On 05/27/14 17:41, Jamal Hadi Salim wrote:

> filtering by brport is very useful.
> I wasnt as much concerned about that use case because i can already
> filter in user space for brport when i dump (iproute2 does as well).
> But i couldnt filter by bridge since that info is not even
> present in the dumped data
> I just saw the patch posted by Roopa - I think that now gives me the
> ability to also filter by bridge in user space.
>
> Note: All i am doing is stealing the ndm ifindex - which before was
> a zero and ignore by the kernel as the bridge ifindex.
> I think what you are suggesting is: if the user doesnt specify the
> bridge i should use the ndm ifindex to send down the brport as
> the filter. But that becomes an bridge "or" bridgeport filter
> choice. A more useful scenario is to have bridge "and"
> bridgeport filter. So almost seems like i need an attribute to send
> down for the bridge port.
> Sounds like a separate patch...
>

Hrm. I wonder - I could use the NDA_MASTER attribute that Roopa
posted to define the bridge filter. I could then use the ndm ifindex to
define the bridgeport filter.

Thoughts?

cheers,
jamal